For the complete documentation index, see llms.txt. This page is also available as Markdown.

People

get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Query parameters
searchstringOptional

A search term.

orderingstringOptional

Which field to use when ordering the results.

pageintegerOptional

Page number to retrieve (1-indexed).

page_sizeintegerOptional

Number of results per page. Defaults to the pagination class's page size and respects the configured maximum.

Responses
200Success
application/json
countintegerRequired
nextstring · uri · nullableOptional
previousstring · uri · nullableOptional
get/people/
GET /relabase/api/v1/public/people/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "id": 1,
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "first_name": "text",
      "last_name": "text",
      "preferred_name": "text",
      "linkedin_url": "https://example.com",
      "phone": "text",
      "primary_work_email": "text",
      "primary_personal_email": "text",
      "archived": "2026-01-01T00:00:00.000Z",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}
post
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Body
emailstring · email · min: 1Required
display_namestring · nullableOptional
first_namestring · nullableOptional
last_namestring · nullableOptional
phonestring · nullableOptional
linkedin_urlstring · nullableOptional
websitestring · nullableOptional
companystring · nullableOptional
job_titlestring · nullableOptional
industrystring · nullableOptional
addressstring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
postal_codestring · nullableOptional
countrystring · nullableOptional
slack_member_idstring · nullableOptional
Responses
201Success
application/json
emailstring · email · min: 1Required
display_namestring · nullableOptional
first_namestring · nullableOptional
last_namestring · nullableOptional
phonestring · nullableOptional
linkedin_urlstring · nullableOptional
websitestring · nullableOptional
companystring · nullableOptional
job_titlestring · nullableOptional
industrystring · nullableOptional
addressstring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
postal_codestring · nullableOptional
countrystring · nullableOptional
slack_member_idstring · nullableOptional
post/people/
POST /relabase/api/v1/public/people/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 304

{
  "email": "name@gmail.com",
  "display_name": "text",
  "first_name": "text",
  "last_name": "text",
  "phone": "text",
  "linkedin_url": "text",
  "website": "text",
  "company": "text",
  "job_title": "text",
  "industry": "text",
  "address": "text",
  "city": "text",
  "state": "text",
  "postal_code": "text",
  "country": "text",
  "slack_member_id": "text"
}
201Success
{
  "email": "name@gmail.com",
  "display_name": "text",
  "first_name": "text",
  "last_name": "text",
  "phone": "text",
  "linkedin_url": "text",
  "website": "text",
  "company": "text",
  "job_title": "text",
  "industry": "text",
  "address": "text",
  "city": "text",
  "state": "text",
  "postal_code": "text",
  "country": "text",
  "slack_member_id": "text"
}
get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
namestring · min: 1Read-onlyOptional
first_namestring · min: 1Read-onlyOptional
last_namestring · min: 1Read-onlyOptional
preferred_namestring · min: 1 · nullableRead-onlyOptional
linkedin_urlstring · uri · min: 1 · nullableRead-onlyOptional
phonestring · min: 1 · nullableRead-onlyOptional
primary_work_emailstring · nullableRead-onlyOptional
primary_personal_emailstring · nullableRead-onlyOptional
archivedstring · date-time · nullableRead-onlyOptional
createdstring · date-timeRead-onlyOptional
modifiedstring · date-timeRead-onlyOptional
get/people/{id}/
GET /relabase/api/v1/public/people/{id}/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "id": 1,
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "first_name": "text",
  "last_name": "text",
  "preferred_name": "text",
  "linkedin_url": "https://example.com",
  "phone": "text",
  "primary_work_email": "text",
  "primary_personal_email": "text",
  "archived": "2026-01-01T00:00:00.000Z",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "emails": [
    {
      "id": 1,
      "name": "text",
      "is_primary": true,
      "is_work": true,
      "role_id": 1,
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "addresses": [
    {
      "id": 1,
      "street_address": "text",
      "city": "text",
      "state": "text",
      "country": "text",
      "postal_code": "text"
    }
  ],
  "roles": [
    {
      "id": 1,
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "title": "text",
      "organization": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "type": "text",
        "archived": "2026-01-01T00:00:00.000Z"
      },
      "start_date": "2026-01-01",
      "end_date": "2026-01-01",
      "is_primary": true,
      "role_type": "employee"
    }
  ]
}

Last updated